local _, cClass = UnitClass("player")

if (cClass ~= "HUNTER") then
	return
end

local QuartzProc = Quartz:GetModule('Procs')

function QuartzProc:returnProcList()
local tmpList = {
		[GetSpellInfo(56453)] = { -- Lock and Load
			name = GetSpellInfo(56453),
			--length = 12,
			cooldown = 22,
			color = {0, 0.5, 1}, -- blue-ish
			isAura = true, -- patch 3.3 workaround fix
			useName = true, -- to work with all ranks
			expires = 0, -- patch 3.3 workaround fix
		},
		[35099] = { -- Rapid Killing
			name = GetSpellInfo(35099),
			color = {1, 0, 0.5}, -- purple-ish
			length = 20,
		},
		[GetSpellInfo(34692)] = { -- The Beast Within
			name = GetSpellInfo(34692), --GetSpellInfo(34692),
			color = {1, 0, 0}, -- red
			expires = 0,
			isAura = true,
			useName = true,
		},
		[3045] = { -- Rapid-Fire
			name = GetSpellInfo(3045),
			color = {0.7, 0.1, 0.1}, -- red-ish
			length = 15,
		},
		[19263] = { -- Deterrance
			name = GetSpellInfo(19263),
			color = {0.93, 0.98, 0.51}, -- Light-Goldenrod
			length = 5,
		},
		[GetSpellInfo(64418)] = { --Sniper Training
			name = GetSpellInfo(64418),
			color = {1, 0.5, 0}, -- orange-ish
			expires = 0,
			isAura = true,
			useName = true,
		},
		[60053] = { -- Explosive Shot cooldown
			name = GetSpellInfo(60053),
			color = {1, 0, 0}, -- red
			length = 2,
			isSpellCast = true,
		},
		
		[61006] = { -- Kill Shot cooldown
			name = GetSpellInfo(61006),
			color = {0.4, 0.2, 0}, -- 
			length = 9,
			isSpellCast = true,
		},
		[GetSpellInfo(34477)] = { -- Misdirection applied to self (hunter)
			name = GetSpellInfo(34477),
			color = {0.40, 0.80, 1}, -- light-blue
			--length = 30,
			expires = 0,
			isAura = true,
			useName = true,
		}
}
return tmpList
end