local _, cClass = UnitClass("player")

if (cClass ~= "PALADIN") then
	return
end

local QuartzProc = Quartz:GetModule('Procs')

function QuartzProc:returnProcList()
local tmpList = {
		[59578] = { -- Art of War
			name = GetSpellInfo(59578),
			color = {1, 0.5, 0}, -- orange-ish
			length = 15,
		},
		[54428] = { -- Divine Plea
			name = GetSpellInfo(54428),
			color = {0, 0, 1}, -- blue
			length = 15,
		},
		[66233] = { -- Ardent Defender debuff
			name = GetSpellInfo(66233),
			color = {1, 0, 0}, -- red
			length = 120
		},
		[642] = { -- Divine Shield
			name = GetSpellInfo(642),
			color = {1, 0.5, 0}, --
			expires = 0,
			isAura = true,
		},
		--SPELL_AURA_APPLIED,0x04800000015D6899,"Pythagora",0x10511,0x04800000015D6899,"Pythagora",0x10511,53601,"Sacred Shield",0x2,BUFF
		[53601] = { -- Sacred Shield (target)
			name = GetSpellInfo(53601) .. " (target)",
			color = {0.5, 0.5, 0.5}, -- Grey
			length = 30,
			isSpellCast = true,
		},
		--SPELL_AURA_APPLIED,0x04800000015D6899,"Pythagora",0x511,0x04800000015D6899,"Pythagora",0x511,58597,"Sacred Shield",0x2,BUFF
		[58597] = { -- Sacred Shield (self)
			name = GetSpellInfo(58597),
			color = {0.93, 0.98, 0.51}, -- Light-Goldenrod
			expires = 0,
			isAura = true,
		},
		[498] = { -- Divine Protection
			name = GetSpellInfo(498),
			color = {1, 0.5, 0}, --
			expires = 0,
			isAura = true,
		},
		[64205] = { -- Divine Sacrifice
			name = GetSpellInfo(64205),
			color = {0.93, 0.98, 0.51}, -- Light-Goldenrod
			length = 10,
		},
		
		[67378] = { -- Paladin T9 Tank Relic (Libram of Defiance: Evasion)
			name = GetSpellInfo(67378),
			color = {0, 1, 0}, -- green
			length = 18,
		}, 
		
		[54149] = { -- Infusion of Light (Added v2.2)
			name = GetSpellInfo(54149),
			color = {1, 0.5, 0}, -- orange-ish
			length = 15,
		},
		
		[31884] = { --Avenging Wrath
			name = GetSpellInfo(31884),
			color = {1, 0.5, 0}, -- orange-ish
			length = 20,
		},
		
		
		[53414] = { -- Elemental oath (buff from shammy) (Added v2.2)
			name = GetSpellInfo(53414),
			color = {0.25, 0.5, 0.75}, -- light blue
			length = 15,
			optionsOrder = 600,
			ptype = 'general',
		}
}
return tmpList
end