local _, cClass = UnitClass("player")

if (cClass ~= "SHAMAN") then
	return
end

local QuartzProc = Quartz:GetModule('Procs')

function QuartzProc:returnProcList()
local tmpList = {
		[53817] = { -- Maelstrom Weapon
			name = GetSpellInfo(53817),
			color = {0, 0, 1}, -- blue
			length = 30,
			isStack = true,
			oldname = "",
		},
		[16246] = { -- Clearcasting (Added v2.2)
			name = GetSpellInfo(16246), 
			color = {0, 0, 1}, -- blue
			--length = 15,
			isAura = true,
			expires = 0,
		},
		[64701] = { -- Elemental Mastery (Added v2.2)
			name = GetSpellInfo(64701),
			color = {0, 0, 1}, -- blue
			--length = 18,
			isAura = true,
			expires = 0,
		},
		[53414] = { -- Elemental oath (buff from shammy) (Added v2.2)
			name = GetSpellInfo(53414),
			color = {0.25, 0.5, 0.75}, -- light blue
			length = 15,
			optionsOrder = 600,
			ptype = 'general',
		}
}
return tmpList
end